lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 29592bf 4/6: Add a script; rename a unit test


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 29592bf 4/6: Add a script; rename a unit test
Date: Fri, 19 Mar 2021 17:54:42 -0400 (EDT)

branch: master
commit 29592bfe6016f12809c3397a62853f61ac3826cc
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Add a script; rename a unit test
    
    * tools/pete-2.1.1/et_vector_test.cpp: Renamed from this old name...
    * tools/pete-2.1.1/pete_vector_test.cpp: ... to this new name, to avoid
        confusion with a unit test in lmi's src/ directory
    * tools/pete-2.1.1/Makefile: Adjusted unit test's name.
    * tools/pete-2.1.1/rebuild_pete.sh: Scripted this because that's better
        than trying to remember it.
---
 tools/pete-2.1.1/Makefile                          |  8 +++---
 .../{et_vector_test.cpp => pete_vector_test.cpp}   |  0
 tools/pete-2.1.1/rebuild_pete.sh                   | 29 ++++++++++++++++++++++
 3 files changed, 33 insertions(+), 4 deletions(-)

diff --git a/tools/pete-2.1.1/Makefile b/tools/pete-2.1.1/Makefile
index 1051910..1741c8b 100644
--- a/tools/pete-2.1.1/Makefile
+++ b/tools/pete-2.1.1/Makefile
@@ -28,17 +28,17 @@ ifeq (cygwin,$(findstring cygwin,$(lmi_build_type)))
   EXEEXT := .exe
 endif
 
-all: et_vector_test$(EXEEXT)
+all: pete_vector_test$(EXEEXT)
 
 submake_options := \
   --directory=PETE/Tools/ \
   --file=makefile \
   EXEEXT='$(EXEEXT)' \
 
-et_vector_test$(EXEEXT): et_vector_test.cpp
+pete_vector_test$(EXEEXT): pete_vector_test.cpp
        $(CXX) -I. $^ -o $@
 
-et_vector_test.cpp: et_vector_operators.hpp
+pete_vector_test.cpp: et_vector_operators.hpp
 
 et_vector_operators.hpp: et_vector.in PETE/Tools/MakeOperators$(EXEEXT)
        PETE/Tools/MakeOperators$(EXEEXT) \
@@ -53,7 +53,7 @@ PETE/Tools/MakeOperators$(EXEEXT):
        $(MAKE) $(submake_options) installheaders
 
 clean:
-       rm -f et_vector_test$(EXEEXT)
+       rm -f pete_vector_test$(EXEEXT)
 
 distclean: clean
        rm -f PETE/Tools/MakeOperators$(EXEEXT)
diff --git a/tools/pete-2.1.1/et_vector_test.cpp 
b/tools/pete-2.1.1/pete_vector_test.cpp
similarity index 100%
rename from tools/pete-2.1.1/et_vector_test.cpp
rename to tools/pete-2.1.1/pete_vector_test.cpp
diff --git a/tools/pete-2.1.1/rebuild_pete.sh b/tools/pete-2.1.1/rebuild_pete.sh
new file mode 100755
index 0000000..82e5043
--- /dev/null
+++ b/tools/pete-2.1.1/rebuild_pete.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Rebuild PETE and run a simplistic unit test.
+
+# Copyright (C) 2021 Gregory W. Chicares.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+#
+# https://savannah.nongnu.org/projects/lmi
+# email: <gchicares@sbcglobal.net>
+# snail: Chicares, 186 Belle Woods Drive, Glastonbury CT 06033, USA
+
+set -e
+
+make -f Makefile maintainer-clean
+make -f Makefile
+./pete_vector_test
+make -f Makefile distclean



reply via email to

[Prev in Thread] Current Thread [Next in Thread]